# coding: utf-8

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

from jmb.core.admin.menu import register_menu

faq_menu_item = items.MenuItem(
    # GENERAL
    _('Faq'),
    reverse('admin:app_list', kwargs={'app_label': 'faq'}),
    children=[
        items.MenuItem(
            _('Faq'),
            '',
            children=[
                items.MenuItem(_('Add Faq'), reverse('admin:faq_faq_add',)),
                items.MenuItem(_('Faq List'), reverse('admin:faq_faq_changelist',)),
            ]
        ),
    ]
)


register_menu(faq_menu_item, 'tre.faq')
