from modeltranslation.translator import translator, TranslationOptions
from .models import Faq, Area, Topic


class AreaTranslationOptions(TranslationOptions):
    fields = ('slug', 'name')


class TopicTranslationOptions(TranslationOptions):
    fields = ('slug', 'name')


class FaqTranslationOptions(TranslationOptions):
    fields = ('slug', 'question', 'answer')


translator.register(Area, AreaTranslationOptions)
translator.register(Topic, TopicTranslationOptions)
translator.register(Faq, FaqTranslationOptions)
